RT (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vladium.emma.rt
Class RT

    java.lang.Object
      com.vladium.emma.rt.RT

Deprecated. Use `IAgent` instead.

    @Deprecated
    public final class RT

extends Object

Compatibility layer for the EMMA runtime which allows to trigger dumps through EMMA APIs. Note that even this class emulates an EMMA API the files written are in JaCoCo execution data format.

Method Summary
`static void` | `dumpCoverageData(File outFile, boolean stopDataCollection)` Deprecated. Writes the current execution data to the given file in JaCoCo execution data format.
`static void` | `dumpCoverageData(File outFile, boolean merge, boolean stopDataCollection)` Deprecated. Writes the current execution data to the given file in JaCoCo execution data format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### dumpCoverageData

    public static void dumpCoverageData(File outFile,
                                        boolean merge,
                                        boolean stopDataCollection)
                                 throws IOException

  Deprecated.
  Writes the current execution data to the given file in JaCoCo execution data format.

  Parameters:
    `outFile` - file to write execution data to
    `merge` - if `true`, execution data is appended to an existing file
    `stopDataCollection` - ignored
  Throws:
    `IOException` - in case of problems with the file output

### dumpCoverageData

    public static void dumpCoverageData(File outFile,
                                        boolean stopDataCollection)
                                 throws IOException

  Deprecated.
  Writes the current execution data to the given file in JaCoCo execution data format. If the file already exists new data is appended.

  Parameters:
    `outFile` - file to write execution data to
    `stopDataCollection` - ignored
  Throws:
    `IOException` - in case of problems with the file output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.